Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.grails.async.factory.gpars
[Groovy] Class GparsPromise

    java.lang.Object
      org.grails.async.factory.gpars.GparsPromise

All Implemented Interfaces:
  Promise

    @groovy.transform.CompileStatic
    class GparsPromise
    extends java.lang.Object

Implementation of Promise interface for Gpars

Authors:
  Graeme Rocher

Since:
  2.3

Property Summary
`groovyx.gpars.dataflow.Promise` | `internalPromise`

Constructor Summary
`GparsPromise(groovyx.gpars.dataflow.Promise internalPromise)`
`GparsPromise(groovy.lang.Closure callable)`

Method Summary
`java.lang.Object` | `get()`
`java.lang.Object` | `get(long timeout, java.util.concurrent.TimeUnit units)`
`Promise` | `leftShift(groovy.lang.Closure callable)`
`Promise` | `onComplete(groovy.lang.Closure callable)`
`Promise` | `onError(groovy.lang.Closure callable)`
`Promise` | `then(groovy.lang.Closure callable)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Property Detail

### internalPromise

    groovyx.gpars.dataflow.Promise internalPromise

Constructor Detail

### GparsPromise

    GparsPromise(groovyx.gpars.dataflow.Promise internalPromise)

### GparsPromise

    GparsPromise(groovy.lang.Closure callable)

Method Detail

### get

    java.lang.Object get()

### get

    java.lang.Object get(long timeout, java.util.concurrent.TimeUnit units)

### leftShift

    Promise leftShift(groovy.lang.Closure callable)

### onComplete

    @java.lang.SuppressWarnings("unchecked")
    Promise onComplete(groovy.lang.Closure callable)

### onError

    @java.lang.SuppressWarnings("unchecked")
    Promise onError(groovy.lang.Closure callable)

### then

    @java.lang.SuppressWarnings("unchecked")
    Promise then(groovy.lang.Closure callable)

Groovy Documentation